org.eclipse.oomph.setup.pde

## Interface PDEPackage.Literals

- Enclosing interface:
    PDEPackage

      public static interface PDEPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EClass` | `API_BASELINE_TASK` The meta object literal for the '`API Baseline Task`' class.
    `static EAttribute` | `API_BASELINE_TASK__LOCATION` The meta object literal for the 'Location' attribute feature.
    `static EAttribute` | `API_BASELINE_TASK__NAME` The meta object literal for the 'Name' attribute feature.
    `static EAttribute` | `API_BASELINE_TASK__REMOTE_URI` The meta object literal for the 'Remote URI' attribute feature.
    `static EAttribute` | `API_BASELINE_TASK__VERSION` The meta object literal for the 'Version' attribute feature.
    `static EClass` | `TARGET_PLATFORM_TASK` The meta object literal for the '`Target Platform Task`' class.
    `static EAttribute` | `TARGET_PLATFORM_TASK__NAME` The meta object literal for the 'Name' attribute feature.

- - ### Field Detail

    - #### TARGET_PLATFORM_TASK

          static final EClass TARGET_PLATFORM_TASK

      The meta object literal for the '`Target Platform Task`' class.
      See Also:
        `TargetPlatformTaskImpl`, `PDEPackageImpl.getTargetPlatformTask()`
      Generated

    - #### TARGET_PLATFORM_TASK__NAME

          static final EAttribute TARGET_PLATFORM_TASK__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated

    - #### API_BASELINE_TASK

          static final EClass API_BASELINE_TASK

      The meta object literal for the '`API Baseline Task`' class.
      See Also:
        `APIBaselineTaskImpl`, `PDEPackageImpl.getAPIBaselineTask()`
      Generated

    - #### API_BASELINE_TASK__NAME

          static final EAttribute API_BASELINE_TASK__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated

    - #### API_BASELINE_TASK__VERSION

          static final EAttribute API_BASELINE_TASK__VERSION

      The meta object literal for the 'Version' attribute feature.
      Generated

    - #### API_BASELINE_TASK__LOCATION

          static final EAttribute API_BASELINE_TASK__LOCATION

      The meta object literal for the 'Location' attribute feature.
      Generated

    - #### API_BASELINE_TASK__REMOTE_URI

          static final EAttribute API_BASELINE_TASK__REMOTE_URI

      The meta object literal for the 'Remote URI' attribute feature.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html